KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLScriptElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Script statements. See the <a href="http://www.w3.org/TR/REC-html40/interact/scripts.html#edef-SCRIPT"> SCRIPT element definition in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLScriptElement other)
| __init__ (self, DOM.Node other)
DOM.DOMString | charset (self)
bool | defer (self)
DOM.DOMString | event (self)
DOM.DOMString | htmlFor (self)
| setCharset (self, DOM.DOMString a0)
| setDefer (self, bool a0)
| setEvent (self, DOM.DOMString a0)
| setHtmlFor (self, DOM.DOMString a0)
| setSrc (self, DOM.DOMString a0)
| setText (self, DOM.DOMString a0)
| setType (self, DOM.DOMString a0)
DOM.DOMString | src (self)
DOM.DOMString | text (self)
DOM.DOMString | type (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLScriptElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString charset | ( |  | self ) |

The character encoding of the linked resource. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-charset"> charset attribute definition in HTML 4.0.

bool defer | ( |  | self ) |

Indicates that the user agent can defer processing of the script. See the <a href="http://www.w3.org/TR/REC-html40/interact/scripts.html#adef-defer"> defer attribute definition in HTML 4.0.

DOM.DOMString event | ( |  | self ) |

Reserved for future use.

DOM.DOMString htmlFor | ( |  | self ) |

Reserved for future use.

setCharset | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see charset

setDefer | ( | self, |
|  | bool | a0
| ) |  |  |

see defer

setEvent | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see event

setHtmlFor | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see htmlFor

setSrc | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see src

setText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see text

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

DOM.DOMString src | ( |  | self ) |

URI designating an external script. See the <a href="http://www.w3.org/TR/REC-html40/interact/scripts.html#adef-src-SCRIPT"> src attribute definition in HTML 4.0.

DOM.DOMString text | ( |  | self ) |

The script content of the element.

DOM.DOMString type | ( |  | self ) |

The content type of the script language. See the <a href="http://www.w3.org/TR/REC-html40/interact/scripts.html#adef-type-SCRIPT"> type attribute definition in HTML 4.0.